Up

# NSTabView

### Authors

Michael Hanni (`mhanni@sprintmail.com`)

> The tabular view class

Copyright: (C) 1999,2000 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSTabView class
2. Software documentation for the NSObject(NSTabViewDelegate) informal protocol

# Software documentation for the NSTabView class

## NSTabView : NSView

> Declared in:
>   AppKit/NSTabView.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -addTabViewItem:
- -allowsTruncatedLabels
- -contentRect
- -controlSize
- -controlTint
- -delegate
- -drawsBackground
- -font
- -indexOfTabViewItem:
- -indexOfTabViewItemWithIdentifier:
- -insertTabViewItem:atIndex:
- -minimumSize
- -numberOfTabViewItems
- -removeTabViewItem:
- -selectFirstTabViewItem:
- -selectLastTabViewItem:
- -selectNextTabViewItem:
- -selectPreviousTabViewItem:
- -selectTabViewItem:
- -selectTabViewItemAtIndex:
- -selectTabViewItemWithIdentifier:
- -selectedTabViewItem
- -setAllowsTruncatedLabels:
- -setControlSize:
- -setControlTint:
- -setDelegate:
- -setDrawsBackground:
- -setFont:
- -setTabViewType:
- -tabViewItemAtIndex:
- -tabViewItemAtPoint:
- -tabViewItems
- -tabViewType
- -takeSelectedTabViewItemFromSender:

### addTabViewItem:

- (void) addTabViewItem: (NSTabViewItem*)tabViewItem;
Availability: OpenStep
Description forthcoming.

### allowsTruncatedLabels

- (BOOL) allowsTruncatedLabels;
Availability: OpenStep
Description forthcoming.

### contentRect

- (NSRect) contentRect;
Availability: OpenStep
Description forthcoming.

### controlSize

- (NSControlSize) controlSize;
Availability: MacOS-X 10.0.0
Description forthcoming.

### controlTint

- (NSControlTint) controlTint;
Availability: MacOS-X 10.0.0
Description forthcoming.

### delegate

- (id) delegate;
Availability: OpenStep
Description forthcoming.

### drawsBackground

- (BOOL) drawsBackground;
Availability: OpenStep
Description forthcoming.

### font

- (NSFont*) font;
Availability: OpenStep
Description forthcoming.

### indexOfTabViewItem:

- (int) indexOfTabViewItem: (NSTabViewItem*)tabViewItem;
Availability: OpenStep
Description forthcoming.

### indexOfTabViewItemWithIdentifier:

- (int) indexOfTabViewItemWithIdentifier: (id)identifier;
Availability: OpenStep
Description forthcoming.

### insertTabViewItem: atIndex:

- (void) insertTabViewItem: (NSTabViewItem*)tabViewItem atIndex: (int)index;
Availability: OpenStep
Description forthcoming.

### minimumSize

- (NSSize) minimumSize;
Availability: OpenStep
Description forthcoming.

### numberOfTabViewItems

- (int) numberOfTabViewItems;
Availability: OpenStep
Description forthcoming.

### removeTabViewItem:

- (void) removeTabViewItem: (NSTabViewItem*)tabViewItem;
Availability: OpenStep
Description forthcoming.

### selectFirstTabViewItem:

- (void) selectFirstTabViewItem: (id)sender;
Availability: OpenStep
Description forthcoming.

### selectLastTabViewItem:

- (void) selectLastTabViewItem: (id)sender;
Availability: OpenStep
Description forthcoming.

### selectNextTabViewItem:

- (void) selectNextTabViewItem: (id)sender;
Availability: OpenStep
Description forthcoming.

### selectPreviousTabViewItem:

- (void) selectPreviousTabViewItem: (id)sender;
Availability: OpenStep
Description forthcoming.

### selectTabViewItem:

- (void) selectTabViewItem: (NSTabViewItem*)tabViewItem;
Availability: OpenStep
Description forthcoming.

### selectTabViewItemAtIndex:

- (void) selectTabViewItemAtIndex: (int)index;
Availability: OpenStep
Description forthcoming.

### selectTabViewItemWithIdentifier:

- (void) selectTabViewItemWithIdentifier: (id)identifier;
Availability: OpenStep
Description forthcoming.

### selectedTabViewItem

- (NSTabViewItem*) selectedTabViewItem;
Availability: OpenStep
Description forthcoming.

### setAllowsTruncatedLabels:

- (void) setAllowsTruncatedLabels: (BOOL)allowTruncatedLabels;
Availability: OpenStep
Description forthcoming.

### setControlSize:

- (void) setControlSize: (NSControlSize)controlSize;
Availability: MacOS-X 10.0.0
Not implemented.

### setControlTint:

- (void) setControlTint: (NSControlTint)controlTint;
Availability: MacOS-X 10.0.0
Not implemented.

### setDelegate:

- (void) setDelegate: (id)anObject;
Availability: OpenStep
Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setFont:

- (void) setFont: (NSFont*)font;
Availability: OpenStep
Description forthcoming.

### setTabViewType:

- (void) setTabViewType: (NSTabViewType)tabViewType;
Availability: OpenStep
Description forthcoming.

### tabViewItemAtIndex:

- (NSTabViewItem*) tabViewItemAtIndex: (int)index;
Availability: OpenStep
Description forthcoming.

### tabViewItemAtPoint:

- (NSTabViewItem*) tabViewItemAtPoint: (NSPoint)point;
Availability: OpenStep
Description forthcoming.

### tabViewItems

- (NSArray*) tabViewItems;
Availability: OpenStep
Description forthcoming.

### tabViewType

- (NSTabViewType) tabViewType;
Availability: OpenStep
Description forthcoming.

### takeSelectedTabViewItemFromSender:

- (void) takeSelectedTabViewItemFromSender: (id)sender;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSTabView Class

### _delegate

@protected id _delegate;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _draws_background

@protected BOOL _draws_background;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _font

@protected NSFont* _font;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _items

@protected NSMutableArray* _items;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selected

@protected NSTabViewItem* _selected;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selected_item

@protected int _selected_item;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _truncated_label

@protected BOOL _truncated_label;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _type

@protected NSTabViewType _type;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSTabViewDelegate) informal protocol

## NSObject(NSTabViewDelegate)

> Declared in:
>   AppKit/NSTabView.h

Availability: OpenStep
Description forthcoming.
Method summary

- -tabView:didSelectTabViewItem:
- -tabView:shouldSelectTabViewItem:
- -tabView:willSelectTabViewItem:
- -tabViewDidChangeNumberOfTabViewItems:

### tabView: didSelectTabViewItem:

- (void) tabView: (NSTabView*)tabView didSelectTabViewItem: (NSTabViewItem*)tabViewItem;
Availability: OpenStep
Description forthcoming.

### tabView: shouldSelectTabViewItem:

- (BOOL) tabView: (NSTabView*)tabView shouldSelectTabViewItem: (NSTabViewItem*)tabViewItem;
Availability: OpenStep
Description forthcoming.

### tabView: willSelectTabViewItem:

- (void) tabView: (NSTabView*)tabView willSelectTabViewItem: (NSTabViewItem*)tabViewItem;
Availability: OpenStep
Description forthcoming.

### tabViewDidChangeNumberOfTabViewItems:

- (void) tabViewDidChangeNumberOfTabViewItems: (NSTabView*)TabView;
Availability: OpenStep
Description forthcoming.

Up